/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { PopoverComponent } from "../popover/popover.component";
/**
 * Represents a callback used by the [`popover`]({% slug api_tooltip_popoveranchordirective %}#toc-popover) property.
 * Returns the popover instance to display. [See example]({% slug configuration_popover %}#toc-popover-callback).
 */
export type PopoverFn = (anchor: Element) => PopoverComponent;
/**
 * Represents a callback used by the [`templateData`]({% slug api_tooltip_popovercomponent %}#toc-templateData) property.
 * Returns custom data to pass to the popover templates. [See example]({% slug templates_popover %}#toc-passing-data-to-templates).
 */
export type PopoverDataFn = (anchor: Element) => any;
