/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * The `PopoverShowOption` type defines the different ways a Popover can be displayed based on user interaction with its anchor element.
 *
 * The supported values are:
 * - `click` (default) &mdash; Shows the Popover when its anchor element is clicked.
 * - `hover`&mdash;Shows the Popover when its anchor element is hovered.
 * - `focus`&mdash;Shows the Popover when its anchor element is focused.
 * - `none`&mdash;Does not show the Popover on user interaction. You can render it via the Popover API methods.
 */
export type PopoverShowOption = 'hover' | 'click' | 'none' | 'focus';
