/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * The `ShowOption` type defines the different ways a tooltip can be displayed in the Kendo UI Tooltip component.
 *
 * The available options are:
 * - `hover` (default)&mdash;Tooltip is rendered when its anchor element is hovered.
 * - `click`&mdash;Tooltip is rendered when its anchor element is clicked.
 * - `none`&mdash;Tooltip is not rendered in the kendoTooltip container.
 */
export type ShowOption = 'hover' | 'click' | 'none';
