/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { TemplateRef } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * Represents the Kendo UI Popover actions template directive for Angular.
 * Use the `kendoPopoverActionsTemplate` directive to define a custom actions template for the Popover component.
 *
 * To define the template, nest an `<ng-template>` tag
 * with the `kendoPopoverActionsTemplate` directive inside the `<kendo-popover>` tag.
 *
 * ```html
 * <kendo-popover>
 *  <ng-template kendoPopoverActionsTemplate>
 *    Custom Actions
 *  </ng-template>
 * </kendo-popover>
 * ```
 */
export declare class PopoverActionsTemplateDirective {
    templateRef: TemplateRef<any>;
    constructor(templateRef: TemplateRef<any>);
    static ɵfac: i0.ɵɵFactoryDeclaration<PopoverActionsTemplateDirective, [{ optional: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<PopoverActionsTemplateDirective, "[kendoPopoverActionsTemplate]", never, {}, {}, never, never, true, never>;
}
