/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { TemplateRef } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * Represents the Kendo UI Popover body template directive for Angular.
 * Use the `kendoPopoverBodyTemplate` directive to define a custom body template for the Popover component.
 *
 * To define the template, nest an `<ng-template>` tag
 * with the `kendoPopoverBodyTemplate` directive inside the `<kendo-popover>` tag.
 *
 * ```html
 * <kendo-popover>
 *  <ng-template kendoPopoverBodyTemplate>
 *   Custom Body Content
 *  </ng-template>
 * </kendo-popover>
 * ```
 */
export declare class PopoverBodyTemplateDirective {
    templateRef: TemplateRef<any>;
    constructor(templateRef: TemplateRef<any>);
    static ɵfac: i0.ɵɵFactoryDeclaration<PopoverBodyTemplateDirective, [{ optional: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<PopoverBodyTemplateDirective, "[kendoPopoverBodyTemplate]", never, {}, {}, never, never, true, never>;
}
