/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { TemplateRef } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * Represents the Kendo UI Popover title template directive for Angular.
 * Use the `kendoPopoverTitleTemplate` directive to define a custom title template for the Popover component.
 *
 * To define the template, nest an `<ng-template>` tag
 * with the `kendoPopoverTitleTemplate` directive inside the `<kendo-popover>` tag.
 *
 * ```html
 * <kendo-popover>
 *   <ng-template kendoPopoverTitleTemplate>
 *     Custom Title
 *   </ng-template>
 * </kendo-popover>
 * ```
 */
export declare class PopoverTitleTemplateDirective {
    templateRef: TemplateRef<any>;
    constructor(templateRef: TemplateRef<any>);
    static ɵfac: i0.ɵɵFactoryDeclaration<PopoverTitleTemplateDirective, [{ optional: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<PopoverTitleTemplateDirective, "[kendoPopoverTitleTemplate]", never, {}, {}, never, never, true, never>;
}
