/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./tooltip/tooltip.directive";
import * as i2 from "./tooltip/tooltip.content.component";
import * as i3 from "./localization/localized-messages.directive";
/**
 * Represents the [`NgModule`](link:site.data.urls.angular['ngmoduleapi'])
 * definition for the Tooltip component.
 *
 * @example
 * ```typescript
 * import { TooltipModule } from '@progress/kendo-angular-tooltip';
 * import { NgModule } from '@angular/core';
 *
 * @NgModule{{
 *    declarations: [AppComponent],
 *    imports:      [BrowserModule, TooltipModule],
 *    bootstrap:    [AppComponent]
 * }}
 * export class AppModule {}
 * ```
 */
export declare class TooltipModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<TooltipModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<TooltipModule, never, [typeof i1.TooltipDirective, typeof i2.TooltipContentComponent, typeof i3.LocalizedMessagesDirective], [typeof i1.TooltipDirective, typeof i2.TooltipContentComponent, typeof i3.LocalizedMessagesDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<TooltipModule>;
}
